package com.gree.mall.miniapp.enums.material;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum GoodsMaterialTypeEnum implements BaseEnum {
    INSIDE("INSIDE","内机"),
    OUT("OUT","外机"),
    PARTS("PARTS","配件");

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

}
